List of all members
clan::SoundProvider_Vorbis Class Reference
clanVorbis Sound Providers

Ogg Vorbis format sound provider. More...

`#include <soundprovider_vorbis.h>`

Inheritance diagram for clan::SoundProvider_Vorbis:

## Public Member Functions
Construction
| SoundProvider_Vorbis (const std::string &filename, const FileSystem &fs, bool stream=false)
| Constructs a sound provider based on an ogg vorbis (.ogg) file. More...
| SoundProvider_Vorbis (const std::string &fullname, bool stream=false)
| SoundProvider_Vorbis (IODevice &file, bool stream=false)
virtual | ~SoundProvider_Vorbis ()
Operations
virtual SoundProvider_Session * | begin_session () override
| Called by SoundBuffer when a new session starts. More...
virtual void | end_session (SoundProvider_Session *session) override
| Called by SoundBuffer when a session has finished. After this call,. More...
Public Member Functions inherited from clan::SoundProvider
| SoundProvider ()
virtual | ~SoundProvider ()

## Implementation
class | SoundProvider_Vorbis_Session

## Detailed Description

Ogg Vorbis format sound provider.

The documentation for this class was generated from the following file:

- soundprovider_vorbis.h